﻿using System;
using System.IO;

namespace Plywood {
    public class AsyncFileSystemIO {
        private IO.Output p_WriteStream;
        private DateTime p_Start;
        private IOType p_Type;
        
        public AsyncFileSystemIO(IO.Output writeStream, IOType type) { 
            //Define the globals
            p_WriteStream = writeStream;
            p_Start = DateTime.Now;
            p_Type = type;
        }

        public IO.Output WriteStream { get { return p_WriteStream; } }
        public DateTime Started { get { return p_Start; } }
        public IOType Type { get { return p_Type; } }

        public enum IOType { 
            CreateFile = 0
        }
    }
}