﻿using System;
using System.Collections;

namespace Plywood {
    public interface IDefinition : IEquatable<IDefinition> {
        string Name { get; set; }
        string Value { get; set; }
        object ValueInstance { get; set; }

        bool IsNumeric { get; set; }
        bool IsDefaultGenerated { get; set; }
        bool IsNull { get; }
        DefinitionType DefinitionType { get; }

        IList ArrayList { get; set; }
    }
}