﻿using System;

namespace Plywood {
    public interface IMethod {
        string Name { get; }
        object AssignedInstance { get; set; }
        Type[] ArgumentTypes { get; }
        object Invoke(object[] arguments);
        object Invoke(object instance, object[] arguments);

        bool IgnoreLogicalArgument(int argIndex);
        Type ReturnType { get; }
    }
}