﻿using System;
using System.IO;
using System.Text;
using System.Windows.Forms;
using Plywood;

static class Init {
    static void Main() {
        Interpreter i = new Interpreter();

        //load a script into a steam that says hello world
        string script = "printl(\"Hello World\");";
        MemoryStream ms = new MemoryStream();
        ms.Write(Encoding.ASCII.GetBytes(script), 0, script.Length);
        ms.Seek(0, SeekOrigin.Begin);


        //create a terminal window (remove all code to select default window console).
        Form frm = new Form();
        TerminalWindow term = new TerminalWindow();                
        frm.Controls.Add(term);
        frm.Size = term.Size;
        i.RemoveTerminal(i.WindowsTerminal);
        i.AddTerminal(term);
       

        
        i.Run(ms);


        //run it
        frm.ShowDialog();

        while (true) ;
        
    }
}